Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.query.validate
Class ImmutableColumn

    java.lang.Object
      org.modeshape.graph.query.validate.ImmutableColumn

All Implemented Interfaces:
  Schemata.Column

Direct Known Subclasses:
  PlanUtil.AbsentColumn

    @Immutable
    public class ImmutableColumn

extends Object
implements Schemata.Column

Field Summary
`static Set<Operator>` | `ALL_OPERATORS`
`static boolean` | `DEFAULT_FULL_TEXT_SEARCHABLE`
`static boolean` | `DEFAULT_ORDERABLE`
`static Set<Operator>` | `NO_OPERATORS`

Constructor Summary
`protected` | `ImmutableColumn(String name, String type)`
`protected` | `ImmutableColumn(String name, String type, boolean fullTextSearchable)`
`protected` | `ImmutableColumn(String name, String type, boolean fullTextSearchable, boolean orderable, Operator... operators)`
`protected` | `ImmutableColumn(String name, String type, boolean fullTextSearchable, boolean orderable, Set<Operator> operators)`

Method Summary
`String` | `getName()` Get the name for this column.
`Set<Operator>` | `getOperators()` Get the set of operators that can be used in a comparison involving this column.
`String` | `getPropertyType()` Get the property type for this column.
`boolean` | `isFullTextSearchable()` Get whether the column can be used in a full-text search.
`boolean` | `isOrderable()` Get whether this column can be used within an `ORDER BY clause`.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ALL_OPERATORS

    public static final Set<Operator> ALL_OPERATORS

### NO_OPERATORS

    public static final Set<Operator> NO_OPERATORS

### DEFAULT_FULL_TEXT_SEARCHABLE

    public static final boolean DEFAULT_FULL_TEXT_SEARCHABLE

See Also:
  Constant Field Values

### DEFAULT_ORDERABLE

    public static final boolean DEFAULT_ORDERABLE

See Also:
  Constant Field Values

Constructor Detail

### ImmutableColumn

    protected ImmutableColumn(String name,
                              String type)

### ImmutableColumn

    protected ImmutableColumn(String name,
                              String type,
                              boolean fullTextSearchable)

### ImmutableColumn

    protected ImmutableColumn(String name,
                              String type,
                              boolean fullTextSearchable,
                              boolean orderable,
                              Operator... operators)

### ImmutableColumn

    protected ImmutableColumn(String name,
                              String type,
                              boolean fullTextSearchable,
                              boolean orderable,
                              Set<Operator> operators)

Method Detail

### getName

    public String getName()

  Get the name for this column.

  Specified by:
    `getName` in interface `Schemata.Column`
  Returns:
    the column name; never null
  See Also:
    `Schemata.Column.getName()`

### getPropertyType

    public String getPropertyType()

  Get the property type for this column.

  Specified by:
    `getPropertyType` in interface `Schemata.Column`
  Returns:
    the property type; never null
  See Also:
    `Schemata.Column.getPropertyType()`

### isFullTextSearchable

    public boolean isFullTextSearchable()

  Get whether the column can be used in a full-text search.

  Specified by:
    `isFullTextSearchable` in interface `Schemata.Column`
  Returns:
    true if the column is full-text searchable, or false otherwise
  See Also:
    `Schemata.Column.isFullTextSearchable()`

### isOrderable

    public boolean isOrderable()

  Get whether this column can be used within an `ORDER BY clause`.

  Specified by:
    `isOrderable` in interface `Schemata.Column`
  Returns:
    true if this column can be used in an order specification, or false otherwise
  See Also:
    `Schemata.Column.isOrderable()`

### getOperators

    public Set<Operator> getOperators()

  Get the set of operators that can be used in a comparison involving this column.

  Specified by:
    `getOperators` in interface `Schemata.Column`
  Returns:
    the operators; never null but possibly empty
  See Also:
    `Schemata.Column.getOperators()`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.